%% 9:06 AM Friday, July 14, 2023
%% Yukio Yoshida.
%% Get;eps-file %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% get cover $1=name.ps
%% gs -sDEVICE=eps2write -sOutputFile=$1.eps -dNOPAUSE $1.ps -c quit
%%%%%%%%%%% web-html===>png !! lilypond --png name.ly(This is not make(cover)
%% Make name.ly==>name.ps(Lilypond)==>gostscript==>name.png(This is not from lilypond-self)
%% gs -sDEVICE=png16m -r120 -sOutputFile=$1+page%d.png -dNOPAUSE $1.ps -c quit
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\version "2.24.0"
\include "rainy-midnight-cv.ly"
#(set-default-paper-size "letter")%%  This designation should be set at this location.
#(set-global-staff-size 18)%%         ---- Never write in \book {.... ---
\book{
\bookpart{ %% #1
\markup{ \vspace #4 }
%% make sheet-my-epstitle
#(let* ((port (open-output-file "sheet-my-epstitle.eps")))
  (display "%!PS-Adobe-3.0 EPSF-3.0
%%BoundingBox: 10 10 580 810
%%HiResBoundingBox: 10.00 10.00 580.00 810.00
%%Creator: GPL Ghostscript 9533 (eps2write)
%%LanguageLevel: 2
%%CreationDate: D:20210207110337+09'00'
%%Pages: 1
%%EndComments
newpath
20 20 moveto 20 800 lineto 20 800 moveto 570 800 lineto
570 800 moveto 570 20 lineto 570 20 moveto 20 20 lineto
.22 0 0 setrgbcolor 20 setlinewidth stroke
%% in-line
newpath
50 50 moveto 50 760 lineto 50 760 moveto 540 760 lineto
540 760 moveto 540 50 lineto 540 50 moveto 50 50 lineto
0 0 0 setrgbcolor 3 setlinewidth stroke
%%%%
/Times-Italic findfont 110 scalefont setfont 120 350 moveto
0 1 0 setrgbcolor
(POEM) false charpath 3 setlinewidth stroke
%% Title-Word
/Times-Italic findfont 100 scalefont setfont 136 570 moveto 1 0 0 setrgbcolor
(Rainy in) false charpath 3 setlinewidth stroke
/Times-Italic findfont 120 scalefont setfont 80 485 moveto 1 0 0 setrgbcolor
(Midnight) false charpath 3 setlinewidth stroke" port)

   (close port))
%Trailer
%%% The movement of the eps-image in the paper is the parameter value of the next line
\markup{ \hspace #14 {\epsfile #X #100 #"sheet-my-epstitle.eps" } }
\markup { \vspace #3 }
\pageBreak
\markup { \vspace #6 }
\markup { \line { \hspace #10 \bold \italic "Rainy in Midnight"} }
\markup { \vspace #2 }
\markup { \line {\bold "Summary;"} }
\markup {%%column * 2
\fill-line {
 \column {
 \line {
   \column {
            "On a quiet midnight has being struck by rain."
            "Be hatred, Be beloved, Be relieved, Be hardship,"
            "Be sadness, Be worries. All of them,"
            "Breath of life have being struck rain in a quiet midnight"
            " "
            " "
            "Childhood days has being struck by rain."
            "Bygone memories of in my heart,"
            "Certainly, there were the footprints of life,"
            "In a quiet midnight has being struck by rain."
            " "
            " "
            "All melted all sink,"
            "All darkness,"
            "Wet in the rain at night,"
            \line { To erase the living. (\with-color #red "sing; repeat 2 + 1") }
            }
\hspace #6
   \column {
      \column {
            "夜の静かさが雨に打たれている."
            "憎しみと愛しさと安らぎと苦しみと"
            "悲しみと悩みと, それら生命の息吹が"
            "夜の静かさの中で雨に打たれている."
            " "
            " "
            "幼かった日々が雨に打たれている."
            "過ぎ去った思い出の数々が,"
            "確かにあった日々が, 生命の足跡が"
            "夜の静かさの中で雨に打たれている."
            " "
            " "
            "全て溶かし, 全て流し"
            "全て消して"
            "雨が夜の中をぬらし"
            "生きた事を消し去っている."
            } }
        }
}}}
\markup { \vspace #2 }
\markup { \hspace #83 \italic Yukio Yoshida. }
}%%End \bookpart #1
\pageBreak
\bookpart{ %%#2 notes-body is `\include rainy-midnight-cv.ly'
%% -*- Coding: utf-8 -*-
\version "2.24.0"
\header {
  dedication = "Surge up Somthing"
  title = "Rainy in Midnight"
  subtitle = "Is that about Death!"
  subsubtitle =\markup \center-column {
                   "soprano; C clef on 1st line,   alto; C clef on 3rd line."
                   "     tenor; C clef on 4th line,   bass; F clef on 4th line." }
 instrument = " "
 composer = \markup { \italic "yukio yoshida" }
 arranger = " 9/05/2008 "
 poet = " "
 opus = "Op. 33, No.1"
 meter = "Largo"
 copyright = "public Domain"
 }
%% get sheet music ---------------------------------------------------------------
\score {
         <<
%%           \context ChoirStaff = "FourPartStaffaddchorus" <<
             \context StaffGroup << 
           \new Voice = "soprano" \with { \consists Ambitus_engraver}
                      { \clef soprano \key d\major \time 3/2
                        \set Staff.instrumentName = "soprano" \soprano }
                        \new Lyrics \lyricsto "soprano" { \sopranoL }

           \new Voice = "alto" \with { \consists Ambitus_engraver}
                      { \clef alto \key d\major \time 3/2
                        \set Staff.instrumentName = "alto   " \alto }
                        \new Lyrics \lyricsto "alto" { \altoL }

           \new Voice = "tenor" \with { \consists Ambitus_engraver}
                      { \clef tenor \key d\major \time 3/2
                        \set Staff.instrumentName = "tenor  " \tenor }
                        \new Lyrics \lyricsto "tenor" { \tenorL }

           \new Voice = "bass" \with { \consists Ambitus_engraver}
                      { \clef bass \key d\major \time 3/2
                        \set Staff.instrumentName = "bass   " \bass }
                        \new Lyrics \lyricsto "bass" { \bassL }
                                           >>

           %%\context PianoStaff = "PianoStaff" <<
           %%\new Voice = "piano" { \clef treble \key d\major \time 3/2
           %%             \set Staff.instrumentName = "piano  " \pianoUP }
           %%\new Voice = "piano" { \clef bass \key d\major \time 3/2
           %%             \set Staff.instrumentName = "piano  " \pianoDown }
           %%                                   >>

         >>

  \layout {}
       }

%% get midi music ---------------------------------------------------------
\score {
         <<
           \new Staff { \clef soprano \key d\major \time 3/2 \tempo 4 = 46
                        \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats       \sopranoM }

           \new Staff { \clef alto \key d\major \time 3/2 \tempo 4 = 46
                        \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats          \altoM }

           \new Staff { \clef tenor \key d\major \time 3/2 \tempo 4 = 46
                        \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats       \tenorM }

           \new Staff { \clef bass \key d\major \time 3/2 \tempo 4 = 46
                         \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats          \bassM }

           %%\context PianoStaff = "PianoStaff" <<
           %%\new Voice = "piano" { \clef treble \key d\major \time 3/2
           %%             \set Staff.instrumentName = "piano  " \pianoUP }
           %%\new Voice = "piano" { \clef bass \key d\major \time 3/2
           %%             \set Staff.instrumentName = "piano  " \pianoDown }
           %%                                   >>
         >>

   \midi {
           tempoWholesPerMinute = #(ly:make-moment 46 4)
        }
}
}%% End \bookpart #2

}%% close \book {
%% ----- To here, Finish all. -----------------
